/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.system.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.system.entity.SystemLogConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(SystemLogMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class SystemLogMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "systemLogMeta";

  @Inject
  private transient Messages messages;

  public SystemLogMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getLogNachrichtEinzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_LOG_NACHRICHT_EINZAHL;
  }

  public String getLogNachrichtMehrzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_LOG_NACHRICHT_MEHRZAHL;
  }


  public String getLogNachrichtEinzahlMessage(){
    return getMessage(getLogNachrichtEinzahlMessageKey());
  }

  public String getLogNachrichtMehrzahlMessage(){
    return getMessage(getLogNachrichtMehrzahlMessageKey());
  }



  public boolean isLogNachrichtRequired() {
    return !SystemLogConstants.LOG_NACHRICHT_NULLABLE;
  }

  public java.lang.String getLogNachrichtDefaultValue() {
    return SystemLogConstants.LOG_NACHRICHT_DEFAULT_VALUE;
  }

  public int getLogNachrichtMaxLength() {
    return SystemLogConstants.LOG_NACHRICHT_MAX_LENGTH;
  }

  public String getLogNachrichtArtEinzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_LOG_NACHRICHT_ART_EINZAHL;
  }

  public String getLogNachrichtArtMehrzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_LOG_NACHRICHT_ART_MEHRZAHL;
  }


  public String getLogNachrichtArtEinzahlMessage(){
    return getMessage(getLogNachrichtArtEinzahlMessageKey());
  }

  public String getLogNachrichtArtMehrzahlMessage(){
    return getMessage(getLogNachrichtArtMehrzahlMessageKey());
  }



  public boolean isLogNachrichtArtRequired() {
    return !SystemLogConstants.LOG_NACHRICHT_ART_NULLABLE;
  }

  public de.ivu.elect.business.system.entity.LogNachrichtArt getLogNachrichtArtDefaultValue() {
    return SystemLogConstants.LOG_NACHRICHT_ART_DEFAULT_VALUE;
  }


  public String getQuelleEinzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_QUELLE_EINZAHL;
  }

  public String getQuelleMehrzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_QUELLE_MEHRZAHL;
  }


  public String getQuelleEinzahlMessage(){
    return getMessage(getQuelleEinzahlMessageKey());
  }

  public String getQuelleMehrzahlMessage(){
    return getMessage(getQuelleMehrzahlMessageKey());
  }



  public boolean isQuelleRequired() {
    return !SystemLogConstants.QUELLE_NULLABLE;
  }

  public de.ivu.elect.business.system.entity.SystemLogQuelle getQuelleDefaultValue() {
    return SystemLogConstants.QUELLE_DEFAULT_VALUE;
  }


  public String getStatusEinzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_STATUS_EINZAHL;
  }

  public String getStatusMehrzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_STATUS_MEHRZAHL;
  }


  public String getStatusEinzahlMessage(){
    return getMessage(getStatusEinzahlMessageKey());
  }

  public String getStatusMehrzahlMessage(){
    return getMessage(getStatusMehrzahlMessageKey());
  }



  public boolean isStatusRequired() {
    return !SystemLogConstants.STATUS_NULLABLE;
  }

  public de.ivu.elect.business.system.entity.SystemLogStatus getStatusDefaultValue() {
    return SystemLogConstants.STATUS_DEFAULT_VALUE;
  }


  public String getZeitpunktEinzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_ZEITPUNKT_EINZAHL;
  }

  public String getZeitpunktMehrzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_ZEITPUNKT_MEHRZAHL;
  }


  public String getZeitpunktEinzahlMessage(){
    return getMessage(getZeitpunktEinzahlMessageKey());
  }

  public String getZeitpunktMehrzahlMessage(){
    return getMessage(getZeitpunktMehrzahlMessageKey());
  }



  public boolean isZeitpunktRequired() {
    return !SystemLogConstants.ZEITPUNKT_NULLABLE;
  }

  public java.util.Date getZeitpunktDefaultValue() {
    return SystemLogConstants.ZEITPUNKT_DEFAULT_VALUE;
  }



  public String getMandantEinzahlMessageKey(){
    return SystemLogConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !SystemLogConstants.MANDANT_ID_NULLABLE;
  }

}